
module Steam
  module Id
    # Represents a 64 bit community ID
    class CommunityId < Base
      # Parse a community id from an input
      #
      # @param id [String, Integer] the input id
      def self.parse(id)
        new(id)
      end

      # Create a community id object
      def initialize(id)
        super(Struct.new(id))
      end
    end
  end
end
