module Steam
  module Id
    # Prints a given Steam::Id in the Steam2 format
    class Steam2Printer
      attr_reader :base

      # Creates a new instance of the Steam2Printer
      def initialize(base)
        @base = base
      end

      # Prints the String
      #
      # @return [String]
      def print
        "STEAM_#{universe_digit}:#{account_id & 1}:#{account_id >> 1}"
      end

      private

      # Gives the real digit represented by the universe
      #
      # @return [Integer] the universe digit
      def universe_digit
        universe <= EUniverse::PUBLIC ? 0 : universe
      end

      # @api private
      def universe
        base.universe
      end

      # @api private
      def account_id
        base.account_id
      end
    end
  end
end
