
module Steam
  module Id
    # Represents a Valve Steam Id in the Steam3 format.
    #
    # @note Only individual accounts are supported
    class Steam3Id < Base
      # Create a Steam3 id by parsing an input string
      #
      # @param id [String] the input id
      def self.parse(id)
        parser = Steam3IdParser.new(id)
        parser.parse

        new(parser.universe, parser.instance,
            parser.account_id, parser.type)
      end

      # Instantiate a Steam3 id
      def initialize(universe, instance, account_id, account_type)
        super()
        self.universe = universe
        self.instance = instance
        self.account_id = account_id
        self.account_type = account_type
      end
    end
  end
end
