module Steam
  module Id
    # Prints a Steam::Id in the Steam 3 format
    class Steam3Printer
      attr_reader :base

      # Creates a new Steam3Printer object
      def initialize(base)
        @base = base
      end

      # Prints the Steam::Id in Steam3 format.
      #
      # @note Only Individual account types are supported
      def print
        "[U:#{instance}:#{account_id}]"
      end

      private

      # @api private
      def instance
        base.instance
      end

      # @api private
      def account_id
        base.account_id
      end
    end
  end
end
